package com.zd.system.api.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 设备功能
 * @Author: zhoupan
 * @Date: 2021/09/27/15:36
 * @Description:
 */
@ApiModel("硬件设备功能")
public class FunctionStatus extends BasicFunctionStatus {


    /**
     * 功能状态值
     */
    @ApiModelProperty("功能状态值")
    private String code;

    /**
     * 命令
     */
    @ApiModelProperty("命令")
    private String cmd;

    /**
     * 是否时默认状态
     */
    private Boolean defaultStatus = false;

    @ApiModelProperty("命令类型")
    private Control.CommTypeEnums commTypeEnums;

//    @ApiModelProperty("继电器编码")
//    private String relayCode;
//
//    public String getRelayCode() {
//        return relayCode;
//    }
//
//    public void setRelayCode(String relayCode) {
//        this.relayCode = relayCode;
//    }

    public Control.CommTypeEnums getCommTypeEnums() {
        return commTypeEnums;
    }

    public void setCommTypeEnums(Control.CommTypeEnums commTypeEnums) {
        this.commTypeEnums = commTypeEnums;
    }

    @JsonIgnore
    public Boolean getDefaultStatus() {
        return defaultStatus;
    }

    public String getCmd() {
        return cmd;
    }

    public void setCmd(String cmd) {
        this.cmd = cmd;
    }

    public void setDefaultStatus(Boolean defaultStatus) {
        this.defaultStatus = defaultStatus;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

}
